Subject: Re: [bug#49310] website: Redesign video pages

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 3 Jul 2021 12:08:59 +0200

Hi Luis / sirgazil,

On Thu, Jul 01, 2021 at 12:05:45AM +0000, Luis Felipe via Guix-patches via wrote:
> Hi,
> 
> The attached patch introduces a new design for video pages.

Thank you!  Much nicer than before, both in looks and code-wise and
also documentation-wise.  This was much effort.

Shall I push your commit and afterwards redirect the old video URLs in
maintenance.git?

> + Sort videos/playlists in reverse chronological order.
> […]
> Currently, the videos are displayed in reverse chronological order,
> but by reversing the list of videos and playlists, not checking
> their dates. The home page does show instructional videos but just
> because they happen to be the most recent videos.

I don’t know the plan for further videos and if forcing reverse
chronological order will be useful someday.

> New miniature and poster images for videos:
> 
> * website/static/media/videos/2018/seagl-everyday-use-of-guix.mini.webp
> * website/static/media/videos/2018/seagl-everyday-use-of-guix.webp
> […]

Yes, switching from .png to .webp seems appropriate, even if it is
unsupported on old still-supported macOS versions or ReactOS or such
things, because they cannot playback the .webm videos anyway, I think.

> diff --git a/website/apps/media/builder.scm b/website/apps/media/builder.scm
> index c270db5..b85dfd1 100644
> --- a/website/apps/media/builder.scm
> +++ b/website/apps/media/builder.scm
> @@ -5,6 +5,7 @@
>  
>  (define-module (apps media builder)
>    #:use-module (apps aux system)
> +  #:use-module (apps base utils)
>    #:use-module (apps media data)
>    #:use-module (apps media templates publication-list)
>    #:use-module (apps media templates screenshot)
> @@ -19,6 +20,7 @@
>    #:use-module (apps aux web)
>    #:use-module (apps media utils)
>    #:use-module (srfi srfi-1)
> +  #:use-module (srfi srfi-19)
>    #:export (builder))

“#:use-module (srfi srfi-1)“ can be removed.

> Modified files:
> 
> […]
> * website/apps/media/data.scm (videos): New list of videos plus
> playlists.
> (playlist): Remove in favor of the new videos list.

s/(playlist)/(playlists)/

> * website/apps/media/templates/components.scm: […]
> (video->shtml, video-content): Removed. Not necessary in the new design. […]
> * website/apps/media/types.scm […](<video>): […] Change description type
> to string to fit the new design.

OK.  If SHTML is needed someday it can be re-added.

LGTM!  Thank you again.

Regards,
Florian